
export const chart_data_colors = [
	'var(--theme-chart-shape-red-fill, #feaea5)',
	'var(--theme-chart-shape-orange-fill, #fad6bc)',
	'var(--theme-chart-shape-yellow-fill, #fffec6)',
	'var(--theme-chart-shape-green-fill, #d6f9d5)',
	'var(--theme-chart-shape-teal-fill, #b0ebe9)',
	'var(--theme-chart-shape-pink-fill, #ffcae2)',
	'var(--theme-chart-shape-purple-fill, #efdeff)',
	'var(--theme-chart-shape-blue-fill, #caebff)',
	'var(--theme-chart-shape-indigo-fill, #c2d6f9)',
	'var(--theme-chart-shape-magenta-fill, #ebb5cd)',
	'var(--theme-chart-shape-brown-fill, #e1c3b8)',
  	'var(--theme-chart-shape-red-line, #ff806d)',
  	'var(--theme-chart-shape-orange-line, #ffb780)',
  	'var(--theme-chart-shape-yellow-line, #e1dc18)',
  	'var(--theme-chart-shape-green-line, #66cc66)',
  	'var(--theme-chart-shape-teal-line, #66cdcc)',
  	'var(--theme-chart-shape-pink-line, #ff99cb)',
  	'var(--theme-chart-shape-purple-line, #cc99fe)',
  	'var(--theme-chart-shape-blue-line, #66cbff)',
  	'var(--theme-chart-shape-indigo-line, #6295ee)',
  	'var(--theme-chart-shape-magenta-line, #cc6698)',
  	'var(--theme-chart-shape-brown-line, #bf8c71)',
];

export function* chart_data_color_generator() : Generator<string, never> {
	let next = 0;

	while (true) {
		yield chart_data_colors[next++];

		if (next >= chart_data_colors.length) {
			next = 0;
		}
	}
}
